unit Main_uni;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, At_Class;

type
  TForm1 = class(TForm)
    btNo: TButton;
    BitBtn1: TBitBtn;
    LB1: TListBox;
    edNo: TEdit;
    btTPX: TButton;
    edTPXNo: TEdit;
    btName: TButton;
    edName: TEdit;
    procedure btNoClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure btTPXClick(Sender: TObject);
    procedure btNameClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Table : TMendTab;

implementation

{$R *.DFM}

procedure TForm1.btNoClick(Sender: TObject);
var  i : integer;
begin
    if edNo.Text > ' ' then
      i := StrToInt(edNo.Text)
    else Exit;
    LB1.Clear;
    with LB1.Items do
      begin
      add('Element BY MENDELEEV NO:');
      add('    Mendeleev_No: '+IntToStr(Table.ElementByMendNo(i).Mendeleev_No));
      add('          TPX_No: '+IntToStr(Table.ElementByMendNo(i).TPX_No));
      add('         Formula: '+Table.ElementByMendNo(i).Formula);
      add('         Name: '+Table.ElementByMendNo(i).Name);
      add('Standard formula: '+Table.ElementByMendNo(i).Standard_Formula);
      add('           Tmelt: '+FloatToStr(Table.ElementByMendNo(i).Tmelt));
      add('           Pmelt: '+FloatToStr(Table.ElementByMendNo(i).Pmelt));
      add('           Tboil: '+FloatToStr(Table.ElementByMendNo(i).Tboil));
      add('         Density: '+FloatToStr(Table.ElementByMendNo(i).Density));
      add('   Density units: '+Table.ElementByMendNo(i).Densunit);
      add('           Tdens: '+FloatToStr(Table.ElementByMendNo(i).Tdense));
      add('         Pot_Ion: '+FloatToStr(Table.ElementByMendNo(i).Pot_ion));
      add('           Hmelt: '+FloatToStr(Table.ElementByMendNo(i).Hmelt));
      add('            Hvap: '+FloatToStr(Table.ElementByMendNo(i).Hvap));
      add('           At FS: '+inttostr(Table.ElementByMendNo(i).At_FS));
      add('     Atomic mass: '+FloatToStr(Table.ElementByMendNo(i).Atomic_Mass));
      add('         Snucl/R: '+FloatToStr(Table.ElementByMendNo(i).SnuclR));
      add(' Mendeleev Group: '+Table.ElementByMendNo(i).Mend_Group);
      end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
    Table := TMendTab.Create;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Table.Free;
end;

procedure TForm1.btTPXClick(Sender: TObject);
var  i : integer;
begin
    if edTPXNo.Text > ' ' then
      i := StrToInt(edTPXNo.Text)
    else Exit;
    LB1.Clear;
    with LB1.Items do
      begin
      add('Element BY TPX NO:');
      add('    Mendeleev_No: '+IntToStr(Table.ElementByTPXNo(i).Mendeleev_no));
      add('          TPX_No: '+IntToStr(Table.ElementByTPXNo(i).TPX_no));
      add('         Formula: '+Table.ElementByTPXNo(i).Formula);
      add('Standard formula: '+Table.ElementByTPXNo(i).Standard_Formula);
      add('            Name: '+Table.ElementByTPXNo(i).Name);
      add('           Tmelt: '+FloatToStr(Table.ElementByTPXNo(i).Tmelt));
      add('           Pmelt: '+FloatToStr(Table.ElementByTPXNo(i).Pmelt));
      add('           Tboil: '+FloatToStr(Table.ElementByTPXNo(i).Tboil));
      add('         Density: '+FloatToStr(Table.ElementByTPXNo(i).Density));
      add('   Density units: '+Table.ElementByTPXNo(i).Densunit);
      add('           Tdens: '+FloatToStr(Table.ElementByTPXNo(i).Tdense));
      add('         Pot_Ion: '+FloatToStr(Table.ElementByTPXNo(i).Pot_ion));
      add('           Hmelt: '+FloatToStr(Table.ElementByTPXNo(i).Hmelt));
      add('            Hvap: '+FloatToStr(Table.ElementByTPXNo(i).Hvap));
      add('           At FS: '+IntToStr(Table.ElementByTPXNo(i).At_FS));
      add('     Atomic mass: '+FloatToStr(Table.ElementByTPXNo(i).Atomic_Mass));
      add('         Snucl/R: '+FloatToStr(Table.ElementByTPXNo(i).SnuclR));
      add(' Mendeleev Group: '+Table.ElementByTPXNo(i).Mend_Group);
      end;
end;

procedure TForm1.btNameClick(Sender: TObject);
var st : string;
begin
    st := Trim(edName.Text);
    if st <= ' ' then Exit;
    LB1.Clear;
    with LB1.Items do
      begin
      add('Element BY FORMULA');
      add('    Mendeleev_No: '+IntToStr(Table.ElementByName(st).Mendeleev_no));
      add('          TPX_No: '+IntToStr(Table.ElementByName(st).TPX_No));
      add('         Formula: '+Table.ElementByName(st).Formula);
      add('Standard formula: '+Table.ElementByName(st).Standard_Formula);
      add('            Name: '+Table.ElementByName(st).Name);
      add('           Tmelt: '+FloatToStr(Table.ElementByName(st).Tmelt));
      add('           Pmelt: '+FloatToStr(Table.ElementByName(st).Pmelt));
      add('           Tboil: '+FloatToStr(Table.ElementByName(st).Tboil));
      add('         Density: '+FloatToStr(Table.ElementByName(st).Density));
      add('   Density units: '+Table.ElementByName(st).Densunit);
      add('           Tdens: '+FloatToStr(Table.ElementByName(st).Tdense));
      add('         Pot_Ion: '+FloatToStr(Table.ElementByName(st).Pot_ion));
      add('           Hmelt: '+FloatToStr(Table.ElementByName(st).Hmelt));
      add('            Hvap: '+FloatToStr(Table.ElementByName(st).Hvap));
      add('           At FS: '+IntToStr(Table.ElementByName(st).At_FS));
      add('     Atomic mass: '+FloatToStr(Table.ElementByName(st).Atomic_Mass));
      add('         Snucl/R: '+FloatToStr(Table.ElementByName(st).SnuclR));
      add(' Mendeleev Group: '+Table.ElementByName(st).Mend_Group);
      end;
end;

end.
